<?php

namespace Factory;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class ProjectType
{

    public function createProjectType(Entities\ProjectType $entity = null, $allowedEndTask, $externalType, $label,
                                      $requiresApproval, $useMergeRequest, $useTimePlanning, $status = "A", $useGitAuto = 'Y')
    {
        if (empty($entity)) {
            $entity = new Entities\ProjectType();
        }
        $entity->setAllowendtask($allowedEndTask);
        $entity->setExternaltype($externalType);
        $entity->setLabel($label);
        $entity->setRequiresApproval($requiresApproval);
        $entity->setUsemergerequest($useMergeRequest);
        $entity->setUsetimeplanning($useTimePlanning);
        $entity->setUseGitAutomatically($useGitAuto);
        $entity->setStatus($status);
        return $entity;
    }

}